Bug 989580 - [abrt] gdm-3.8.3-2.fc19: send_message_with_reply_deliver: Process /usr/libexec/gdm-session-worker was killed by signal 11 (SIGSEGV)
[abrt] gdm-3.8.3-2.fc19: send_message_with_reply_deliver: Process /usr/libexe...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:71be1d1b6dfa8996e2914dc4bce...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 10:51 EDT by Pablo Rodríguez
Modified: 2015-02-17 11:24 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:24:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.94 KB, text/plain)
2013-07-29 10:51 EDT, Pablo Rodríguez
no flags Details
File: cgroup (152 bytes, text/plain)
2013-07-29 10:51 EDT, Pablo Rodríguez
no flags Details
File: core_backtrace (1.19 KB, text/plain)
2013-07-29 10:51 EDT, Pablo Rodríguez
no flags Details
File: dso_list (4.62 KB, text/plain)
2013-07-29 10:51 EDT, Pablo Rodríguez
no flags Details
File: environ (248 bytes, text/plain)
2013-07-29 10:51 EDT, Pablo Rodríguez
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 10:51 EDT, Pablo Rodríguez
no flags Details
File: maps (14.03 KB, text/plain)
2013-07-29 10:51 EDT, Pablo Rodríguez
no flags Details
File: open_fds (416 bytes, text/plain)
2013-07-29 10:51 EDT, Pablo Rodríguez
no flags Details
File: proc_pid_status (763 bytes, text/plain)
2013-07-29 10:51 EDT, Pablo Rodríguez
no flags Details

  None (edit)
Description Pablo Rodríguez 2013-07-29 10:51:20 EDT
Description of problem:
Just starting the session.

Version-Release number of selected component:
gdm-3.8.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        'gdm-session-worker [pam/gdm-password]'
crash_function: send_message_with_reply_deliver
executable:     /usr/libexec/gdm-session-worker
kernel:         3.9.5-301.fc19.i686
runlevel:       N 5
uid:            0
var_log_messages: Jul 28 17:32:39 localhost abrt[1966]: Saved core dump of pid 1961 (/usr/libexec/gdm-session-worker) to /var/tmp/abrt/ccpp-2013-07-28-17:32:38-1961 (18251776 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 send_message_with_reply_deliver at gdbusconnection.c:1843
 #1 send_message_data_deliver_reply_unlocked at gdbusconnection.c:1864
 #2 on_worker_message_received at gdbusconnection.c:2345
 #3 _g_dbus_worker_emit_message_received at gdbusprivate.c:493
 #4 _g_dbus_worker_queue_or_deliver_received_message at gdbusprivate.c:521
 #5 _g_dbus_worker_do_read_cb at gdbusprivate.c:805
 #6 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #7 complete_in_idle_cb at gsimpleasyncresult.c:789
 #13 gdbus_shared_thread_func at gdbusprivate.c:278
 #14 g_thread_proxy at gthread.c:798

Potential duplicate: bug 957315
Comment 1 Pablo Rodríguez 2013-07-29 10:51:24 EDT
Created attachment 779963 [details]
File: backtrace
Comment 2 Pablo Rodríguez 2013-07-29 10:51:27 EDT
Created attachment 779964 [details]
File: cgroup
Comment 3 Pablo Rodríguez 2013-07-29 10:51:32 EDT
Created attachment 779965 [details]
File: core_backtrace
Comment 4 Pablo Rodríguez 2013-07-29 10:51:38 EDT
Created attachment 779966 [details]
File: dso_list
Comment 5 Pablo Rodríguez 2013-07-29 10:51:41 EDT
Created attachment 779967 [details]
File: environ
Comment 6 Pablo Rodríguez 2013-07-29 10:51:44 EDT
Created attachment 779968 [details]
File: limits
Comment 7 Pablo Rodríguez 2013-07-29 10:51:47 EDT
Created attachment 779969 [details]
File: maps
Comment 8 Pablo Rodríguez 2013-07-29 10:51:50 EDT
Created attachment 779970 [details]
File: open_fds
Comment 9 Pablo Rodríguez 2013-07-29 10:51:53 EDT
Created attachment 779971 [details]
File: proc_pid_status
Comment 10 Munawar Ahmed 2013-08-11 22:42:39 EDT
At startup!

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        'gdm-session-worker [pam/gdm-password]'
crash_function: send_message_with_reply_deliver
executable:     /usr/libexec/gdm-session-worker
kernel:         3.10.5-201.fc19.i686
package:        gdm-3.8.3-2.fc19
reason:         Process /usr/libexec/gdm-session-worker was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            0
Comment 11 Mirko 2013-09-29 10:07:27 EDT
after an update of the system
Comment 12 Andre Klapper 2013-10-07 03:22:06 EDT
Confirming problem when logging in again (locked screen); had to enter my password twice as nothing happened at the first time.
Comment 13 Phil 2013-10-12 08:41:42 EDT
Same here. gdm crashes almost every time when returning from locked screen. In most cases gnome-shell crashes also.

# journalctl /usr/libexec/gdm-session-worker
--%snip%--
gdm-password][5041]: pam_unix(gdm-password:auth): conversation failed
gdm-password][5041]: pam_unix(gdm-password:auth): auth could not identify password for [phil]
gdm-password][5041]: gkr-pam: no password is available for user
gdm-password][5051]: gkr-pam: unlocked login keyring
--%snip%--

# journalctl /usr/sbin/gdm
--%snip%--
gdm[1355]: Freeing conversation 'gdm-password' with active job
--%snip%--
Comment 14 Mirko 2013-10-15 14:25:15 EDT
login on fedora core 19 after a suspension of the screen
Comment 15 Fedora End Of Life 2015-01-09 14:08:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 11:24:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.